#ifndef __midiout_h__
#define __midiout_h__

typedef enum {
	mididevtype_genmidi,
	mididevtype_fmopl2,
	mididevtype_fmopl3
} mididevtype;

jfauderr midiout_init(void);
jfauderr midiout_uninit(void);
jfauderr midiout_allocdevice(int *handle);
jfauderr midiout_releasedevice(int handle);
jfauderr midiout_settimebase(int handle, int ppqn);
jfauderr midiout_getdevicetype(int handle, mididevtype *type);
jfauderr midiout_needsdata(int handle);
jfauderr midiout_bufferevent(int handle, unsigned delta, unsigned char cmd, unsigned len, unsigned char const *data);
jfauderr midiout_finish(int handle);

#endif	// __midiout_h__
